/* based on GLMorph ported by epeyton on Thu 03-Dec-1998 */

#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>
#import <OpenGL/gl.h>
#include <OpenGL/OpenGL.h>

#ifndef __XGLEVERYWHERE__
#include "XGLeverywhere.h"
#endif

static unsigned long frameCount;

@interface Xeverywhere : ScreenSaverView
{        
    NSOpenGLView * _view;
    
    NSInteger mainScreenOnly_;
    
    BOOL isConfiguring_;
    BOOL preview_;
    BOOL mainScreen_;
    
    gasketstruct gs;
    
    IBOutlet id IBfaces_;
    IBOutlet id IBconfigureSheet_;
    IBOutlet id IBmainScreen_;
    IBOutlet id IBversion_;
    IBOutlet id IBsubdivisionSlider_;
    
    NSTimer * timer_;
}

- (IBAction)closeSheet:(id)sender;
- (IBAction)setSubdivision:(id)sender;

- (void) frameLog:(id) inSender;

- (void) setDialogValue;

- (void) readDefaults:(ScreenSaverDefaults *) inDefaults;
- (void) writeDefaults;

@end


